Bug 460902 - ipmi-fru segfaults when executed by normal user
ipmi-fru segfaults when executed by normal user
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: freeipmi (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Safranek
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-02 10:43 EDT by Milos Malik
Modified: 2010-06-29 07:54 EDT (History)
0 users

See Also:
Fixed In Version: /usr/sbin/ipmi-fru
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-29 07:54:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace output (5.61 KB, text/plain)
2008-09-02 10:43 EDT, Milos Malik
no flags Details
ltrace output (2.06 KB, text/plain)
2008-09-02 11:02 EDT, Milos Malik
no flags Details

  None (edit)
Description Milos Malik 2008-09-02 10:43:35 EDT
Created attachment 315557 [details]
strace output

Description of problem:
If normal user executes ipmi-fru without parameters the utility is terminated by the OS.

Version-Release number of selected component (if applicable):
freeipmi-0.4.6-3.fc8

How reproducible:
Always

Steps to Reproduce:
$ /usr/sbin/ipmi-fru
/usr/sbin/ipmi-fru: permission denied
Segmentation fault
$ echo $?
139
$ 

  
Actual results:
The utility terminates with segmentation fault.

Expected results:
The utility does not terminate with segmentation fault.

Additional info:
Comment 1 Milos Malik 2008-09-02 11:02:10 EDT
Created attachment 315562 [details]
ltrace output
Comment 2 Bug Zapper 2008-11-26 06:07:42 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Phil Knirsch 2008-11-26 09:48:20 EST
Moving to rawhide.
Comment 4 Bug Zapper 2009-06-09 05:42:09 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-04-27 08:13:21 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-06-28 06:43:44 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 Jan Safranek 2010-06-29 07:54:35 EDT
This has been fixed probably by one of earlier rebases.

Note You need to log in before you can comment on or make changes to this bug.